Skip to main content
POST
/
agreements
Create an agreement record
curl --request POST \
  --url https://sandbox-api.finpace.example/v1/agreements \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'Idempotency-Key: <idempotency-key>' \
  --data '
{
  "partyId": "<string>",
  "productCode": "<string>",
  "agreementType": "<string>",
  "effectiveFrom": "2023-12-25",
  "signedAt": "2023-11-07T05:31:56Z"
}
'
{
  "agreementId": "agr_01JQ9KQ2TX9H3FXA84W2T44GM6",
  "partyId": "<string>",
  "productCode": "SME.CA.STANDARD",
  "status": "draft",
  "agreementType": "current-account",
  "effectiveFrom": "2023-12-25",
  "effectiveTo": "2023-12-25",
  "signedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

OAuth 2.0 with client credentials for machine integrations and authorization code for delegated user sessions.

Headers

Idempotency-Key
string
required

Unique key used to make create and financial action requests safe to retry.

Maximum string length: 80
X-Request-Id
string

Caller-generated correlation identifier used for tracing.

Maximum string length: 80

Body

application/json
partyId
string
required
productCode
string
required
agreementType
string
required
effectiveFrom
string<date>
required
signedAt
string<date-time>

Response

Agreement created

agreementId
string
required
Example:

"agr_01JQ9KQ2TX9H3FXA84W2T44GM6"

partyId
string
required
productCode
string
required
Example:

"SME.CA.STANDARD"

status
enum<string>
required
Available options:
draft,
pending-acceptance,
active,
suspended,
closed
agreementType
string
Example:

"current-account"

effectiveFrom
string<date>
effectiveTo
string<date>
signedAt
string<date-time>